co.aikar.commands

## Class SpongeRegisteredCommand

- java.lang.Object
- - co.aikar.commands.RegisteredCommand<SpongeCommandExecutionContext>
  - - co.aikar.commands.SpongeRegisteredCommand

    public class SpongeRegisteredCommand
    extends co.aikar.commands.RegisteredCommand<SpongeCommandExecutionContext>

### Field Summary

### Fields inherited from class co.aikar.commands.RegisteredCommand

`helpSearchTags`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `postCommand()`
`void` `preCommand()`

### Methods inherited from class co.aikar.commands.RegisteredCommand

`addSubcommand, addSubcommands, getAnnotation, getCommand, getHelpText, getPermission, getPrefSubCommand, getRequiredPermissions, getSyntaxText, isPrivate, requiresPermission`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### preCommand

    public void preCommand()

Overrides:
  `preCommand` in class `co.aikar.commands.RegisteredCommand<SpongeCommandExecutionContext>`

#### postCommand

    public void postCommand()

Overrides:
  `postCommand` in class `co.aikar.commands.RegisteredCommand<SpongeCommandExecutionContext>`